petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSegBufferExtractTo

extract contiguous data to provided buffer and reset segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferExtractTo(PetscSegBuffer seg,void *contig)

Not Collective Many br

### Input Argument

| seg | - segmented buffer Many br
| contig | - allocated buffer to hold contiguous data Many br

Many br

### See Also

PetscSegBufferCreate(), PetscSegBufferGet(), PetscSegBufferDestroy(), PetscSegBufferExtractAlloc(), PetscSegBufferExtractInPlace()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages